### Method

# Foundry Context load_settings

#### Declaration [src]

    FoundrySettings*
    foundry_context_load_settings (
      FoundryContext* self,
      const char* schema_id,
      const char* schema_path
    )

#### Description [src]

Loads layered `GSettings` as a `FoundrySettings`.

The `FoundrySettings` allows for settings to come from multiple layers such as user-defaults, project-defaults, and user-overrides.

#### Parameters

`schema_id`

  Type: `const char*`

  The gsettings schema identifier.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`schema_path`

  Type: `const char*`

  An optional schema path.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FoundrySettings`

A `FoundrySettings`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.